Bug 803082 - (pogo) Review Request: pogo - Probably the simplest and fastest audio player for Linux
Review Request: pogo - Probably the simplest and fastest audio player for Linux
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 17:55 EDT by Mario Blättermann
Modified: 2012-04-17 19:34 EDT (History)
4 users (show)

See Also:
Fixed In Version: pogo-0.5-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 12:52:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mario Blättermann 2012-03-13 17:55:17 EDT
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/pogo.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/pogo-0.5-1.fc16.src.rpm
Description:
Pogo's elementary-inspired design uses the screen-space very efficiently. It is
especially well-suited for people who organize their music by albums on the
harddrive. The main interface components are a directory tree and a playlist
that groups albums in an innovative way.

Supported file formats include Ogg Vorbis, MP3, FLAC, Musepack, Wavpack, and
MPEG-4 AAC. Pogo is a fork of Decibel Audio Player.
Comment 1 Mario Blättermann 2012-03-13 17:58:11 EDT
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3892079
Comment 2 Michael Scherer 2012-03-19 08:53:05 EDT
Hi,

A few comments :
- desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

If you use $RPM_BUILD_ROOT, you should use it here too, ot use %{buildroot} in the beginning

https://fedoraproject.org/wiki/Packaging:Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS


- %%doc COPYING NEWS README
Is this normal to have %% instead of % ?

- the patch comment should have a link to upstream bug report, and explain more why it is needed.

https://fedoraproject.org/wiki/Packaging:Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment

- I am not sure that mentioning en %description file formats not supported out of the box ( per licensing reason ) is a good idea. This is kinda misleading.
Comment 3 Mario Blättermann 2012-03-19 21:16:04 EDT
(In reply to comment #2)
> Hi,
> 
> A few comments :
> - desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
> 
> If you use $RPM_BUILD_ROOT, you should use it here too, ot use %{buildroot} in
> the beginning
> 
> https://fedoraproject.org/wiki/Packaging:Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS
>

Fixed.

> 
> - %%doc COPYING NEWS README
> Is this normal to have %% instead of % ?
>
No, it's a mistake ;) I've removed the duplicate percent sign.

> - the patch comment should have a link to upstream bug report, and explain more
> why it is needed.
> 
> https://fedoraproject.org/wiki/Packaging:Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment
>
Added some more info and a link to the appropriate Bazaar
 commit.
 
> - I am not sure that mentioning en %description file formats not supported out
> of the box ( per licensing reason ) is a good idea. This is kinda misleading.

Yes, you are right. Without package repos such as Rpmfusion the mp3 playback won't work. I've removed this sentence.

New files:
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/pogo.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/pogo-0.5-2.fc16.src.rpm

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3911671
Comment 4 Michael Scherer 2012-03-22 12:40:31 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains a properly installed %{name}.desktop using desktop-
     file-install file if it is a GUI application.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Licenses found: "GPL (v2 or later) GENERATED FILE", "GPL (v2 or
     later) " For detailed output of licensecheck see file:
     /home/misc/checkout/git/FedoraReview/src/803082/licensecheck.txt
[x]: MUST The spec file handles locales properly.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint pogo-0.5-2.fc18.noarch.rpm

pogo.noarch: I: enchant-dictionary-not-found de
pogo.noarch: W: spelling-error %description -l en_US harddrive -> hard drive, hard-drive, overdrive
pogo.noarch: W: spelling-error %description -l en_US playlist -> play list, play-list, pluralist
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint pogo-0.5-2.fc18.src.rpm

pogo.src: I: enchant-dictionary-not-found de
pogo.src: W: spelling-error %description -l en_US harddrive -> hard drive, hard-drive, overdrive
pogo.src: W: spelling-error %description -l en_US playlist -> play list, play-list, pluralist
pogo.src: W: no-%build-section
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/misc/checkout/git/FedoraReview/src/803082/pogo-0.5.tar.gz :
  MD5SUM this package     : 6e77d4b15753b6eed2fc8f4dce92d770
  MD5SUM upstream package : 6e77d4b15753b6eed2fc8f4dce92d770

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Patch0: pogo_init.patch (pogo_init.patch)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint pogo-0.5-2.fc18.noarch.rpm

pogo.noarch: I: enchant-dictionary-not-found de
pogo.noarch: W: spelling-error %description -l en_US harddrive -> hard drive, hard-drive, overdrive
pogo.noarch: W: spelling-error %description -l en_US playlist -> play list, play-list, pluralist
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint pogo-0.5-2.fc18.src.rpm

pogo.src: I: enchant-dictionary-not-found de
pogo.src: W: spelling-error %description -l en_US harddrive -> hard drive, hard-drive, overdrive
pogo.src: W: spelling-error %description -l en_US playlist -> play list, play-list, pluralist
pogo.src: W: no-%build-section
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


Generated by fedora-review 0.2.0git
External plugins


The rpmlint error are false positive, or not important ( ie, no need for %build for a noarch rpm ), so the package is good for inclusion.
Comment 5 Mario Blättermann 2012-03-22 15:12:22 EDT
Thanks Michael for reviewing this package!


New Package SCM Request
=======================
Package Name: pogo
Short Description: Probably the simplest and fastest audio player for Linux
Owners: mariobl
Branches: f16 el6
Comment 6 Gwyn Ciesla 2012-03-22 15:17:17 EDT
Git done (by process-git-requests).

Added f17 branch.
Comment 7 Fedora Update System 2012-03-22 16:30:50 EDT
pogo-0.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pogo-0.5-2.fc17
Comment 8 Fedora Update System 2012-03-22 16:30:57 EDT
pogo-0.5-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pogo-0.5-3.el6
Comment 9 Fedora Update System 2012-03-22 16:31:03 EDT
pogo-0.5-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pogo-0.5-2.fc16
Comment 10 Michael Scherer 2012-03-24 04:53:51 EDT
Do not know why the package was not set as ON_QA, but did it myself ( cf http://fedoraproject.org/wiki/BugZappers/BugStatusWorkFlow )
Comment 11 Fedora Update System 2012-04-11 12:52:26 EDT
pogo-0.5-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 12 Fedora Update System 2012-04-11 22:14:08 EDT
pogo-0.5-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Fedora Update System 2012-04-17 19:34:24 EDT
pogo-0.5-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.